body
{
    margin: 0;
    padding: 0;
    background-color: rgb(0, 0, 0);
}

#background
{
    position:fixed;
    width: 133vh;
    height: 100vh;
    padding: 10.5vh 11vh 8.5vh 19.5vh;
    box-sizing: border-box;
    font-size: 22px;
    line-height: 1.2em;
    color:rgb(0, 255, 0);
    overflow: scroll;
    top: 0;
    left: 50%;
    margin-left: -66.5vh;
    scrollbar-width: none;
    background-color: rgb(51, 51, 51);
    text-shadow: 0 0 10px rgb(0,255,0);
    font-family: "Courier New", monospace;
    filter: blur(0.7px);
}

#background::-webkit-scrollbar 
{
    display: none;
}


#scan
{
    background: linear-gradient(to top, rgba(0,0,0,0.4), rgba(0,0,0,0));
    background-size: 100% 3px;
    animation: scanlines 1s infinite linear; 
}

#bezel, #scan
{
    position: fixed;
    top: 0;
    left: 50%;
    right: 50%;
    margin-left: -66.5vh;
    width: 133vh;
    height: 100vh;
    pointer-events: none;
    
}

#title
{
    text-wrap: nowrap;
}

#code *
{
    color: rgb(0, 254, 0);
}

#code
{
    
    width: fit-content;

}

#userEntry
{
    word-break: break-all;
}


#cursor
{
    height: 1.2em;
    width: 0.62em;
    background-color: rgb(0, 255, 0);
    display: inline-block;
    position:relative;
    top:5px;
    margin-top: -1em;
    animation: blink 1.2s step-end 2;
}

#title, #contact, #statement, #education, #work
{
    display: none; 
}

.glow
{
    filter: brightness(100%);
    transition: filter 0.7s ease-in;
}

.dim
{
    filter: brightness(40%);
    transition: filter 0.3s ease-in;
}

#output
{
    height: 0;
    overflow: hidden;
}

#downloadLink
{
    text-decoration: none;
}

.link:hover
{
    cursor: pointer;
}

a
{
    text-decoration: none;
    color: inherit;
}

@keyframes blink 
{
   
   50% {opacity: 0%}
   
}

@keyframes scanlines 
{
    from {transform: translateY(0)}
    to {transform: translateY(-3px)}
}

@media screen and (max-height: 850px){
    
    #background
    {
        padding: 10.5vh 0 8.5vh 13.5vh;
    }
    
}

@media screen and (max-height: 768px){
    
    #background
    {
        padding: 10.5vh 0 8.5vh 8.5vh;
    }
    
}

@media screen and (max-width: 900px){

    #scan
    {
        left: 0;
        width: 100vw;
        margin: 0;
        right: auto;
    }

    #bezel
    {
        display: none;
    }
    
    #background
    {
        padding: 5px;
        width: 100vw;
        margin: 0;
        left: 0;
    }
}

@media screen and (max-width: 900px){

    #background
    {
        font-size: 18px;
    }
}

@media screen and (max-width: 435px){

    #background
    {
        font-size: 16px;
    }
    
}

@media screen and (max-width: 390px){

    #background
    {
        font-size: 15px;
    }
    
}

@media screen and (max-width: 363px){

    #background
    {
        font-size: 14px;
    }
    
}

@media screen and (max-width: 340px){

    #background
    {
        font-size: 13px;
    }
    
}